unit CSVTestMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  CSV, Db, DBTables, StdCtrls;

type
  TCSVTester = class(TForm)
    CSV1: TCSV;
    Table1: TTable;
    Table1ID: TAutoIncField;
    Table1State: TIntegerField;
    Table1FullName: TStringField;
    Table1UserName: TStringField;
    Table1AccountEx: TDateField;
    Table1Comment: TMemoField;
    Table1LastLogOff: TDateField;
    Table1LastLogIn: TDateField;
    Table1LogonCount: TIntegerField;
    Table1HomeDir: TStringField;
    Table1HomeDrive: TStringField;
    Table1CountryCode: TIntegerField;
    Table1CodePage: TIntegerField;
    Table1LogonServer: TStringField;
    Table1Domain: TStringField;
    Table1MaxStorage: TIntegerField;
    Table1Script: TStringField;
    Table1Workstations: TMemoField;
    Table1Scripts: TBooleanField;
    Table1DisableAccount: TBooleanField;
    Table1Lockout: TBooleanField;
    Table1HomeDirReq: TBooleanField;
    Table1Rights: TIntegerField;
    Table1Privilages: TIntegerField;
    Table1Schedule: TStringField;
    Table1Profile: TStringField;
    Table1Password: TStringField;
    Table1PasswordDate: TDateField;
    Table1PassEx: TBooleanField;
    Table1PassChg: TBooleanField;
    Table1PassNextChg: TBooleanField;
    Table1PassNotReq: TBooleanField;
    Table1PassExDate: TDateField;
    Table1BadPassCount: TIntegerField;
    Table1MemberOfLocal: TMemoField;
    Table1MemberOfGlobal: TMemoField;
    Table1NotMemberOfLocal: TMemoField;
    Table1NotMemberOfGlobal: TMemoField;
    Table1Active: TBooleanField;
    Table1Class: TIntegerField;
    Table1Plugins: TIntegerField;
    Button1: TButton;
    Memo1: TMemo;
    Button2: TButton;
    Label1: TLabel;
    Label2: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure CSV1AfterCloseTable(Sender: TObject);
    procedure CSV1AfterEmptyTable(Sender: TObject);
    procedure CSV1AfterExport(Sender: TObject);
    procedure CSV1AfterImport(Sender: TObject);
    procedure CSV1AfterOpenTable(Sender: TObject);
    procedure CSV1BeforeCloseTable(Sender: TObject);
    procedure CSV1BeforeEmptyTable(Sender: TObject);
    procedure CSV1BeforeExport(Sender: TObject);
    procedure CSV1BeforeImport(Sender: TObject);
    procedure CSV1BeforeOpenTable(Sender: TObject);
    procedure CSV1ExportProgress(Sender: TObject; AProgress: Integer);
    procedure CSV1ImportProgress(Sender: TObject; AProgress: Integer);
    procedure Button2Click(Sender: TObject);
    procedure CSV1AddRecord(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  CSVTester: TCSVTester;

implementation

{$R *.DFM}

procedure TCSVTester.Button1Click(Sender: TObject);
begin
 CSV1.ExportToTable;
end;

procedure TCSVTester.CSV1AfterCloseTable(Sender: TObject);
begin
 Memo1.Lines.Add('Table closed');
end;

procedure TCSVTester.CSV1AfterEmptyTable(Sender: TObject);
begin
 Memo1.Lines.Add('Table emptied');
end;

procedure TCSVTester.CSV1AfterExport(Sender: TObject);
begin
 Memo1.Lines.Add('Export done');
end;

procedure TCSVTester.CSV1AfterImport(Sender: TObject);
begin
 Memo1.Lines.Add('import done');
end;

procedure TCSVTester.CSV1AfterOpenTable(Sender: TObject);
begin
 Memo1.Lines.Add('Table openned');
end;

procedure TCSVTester.CSV1BeforeCloseTable(Sender: TObject);
begin
 Memo1.Lines.Add('closing table');
end;

procedure TCSVTester.CSV1BeforeEmptyTable(Sender: TObject);
begin
 Memo1.Lines.Add('Empting table');
end;

procedure TCSVTester.CSV1BeforeExport(Sender: TObject);
begin
 Memo1.Lines.Add('Exporing');
end;

procedure TCSVTester.CSV1BeforeImport(Sender: TObject);
begin
 Memo1.Lines.Add('Importing');
end;

procedure TCSVTester.CSV1BeforeOpenTable(Sender: TObject);
begin
 Memo1.Lines.Add('Openning table');
end;

procedure TCSVTester.CSV1ExportProgress(Sender: TObject; AProgress: Integer);
begin
 Memo1.Lines.Add('Export in progress ' + IntToStr(AProgress));
end;

procedure TCSVTester.CSV1ImportProgress(Sender: TObject; AProgress: Integer);
begin
 Memo1.Lines.Add('Import in progress ' + IntToStr(AProgress));
end;

procedure TCSVTester.Button2Click(Sender: TObject);
begin
 CSV1.ImportFromTable;
end;

procedure TCSVTester.CSV1AddRecord(Sender: TObject);
begin
 Memo1.Lines.Add('Record added');
end;

end.
